> [There is now a GitHub Bot](https://github.com/all-contributors/all-contributors-bot) for automating the maintenance of your contributors table ✨<br />Say goodbye to command line tool dependencies and hello to the [@all-contributors bot 🤖](https://github.com/all-contributors/all-contributors-bot)

<h1 align="center">
  all-contributors-cli
</h1>
<p align="center" style="font-size: 1.2rem;">Automate acknowledging contributors to your open source projects</p>

<hr />

[![Build Status][build-badge]][build]
[![Code Coverage][coverage-badge]][coverage]
[![Greenkeeper badge](https://badges.greenkeeper.io/all-contributors/all-contributors-cli.svg)](https://greenkeeper.io/)
[![version][version-badge]][package] [![downloads][downloads-badge]][downloads]
[![MIT License][license-badge]][license]
[![Chat on Slack][chat-badge]][chat]
[![Commitizen friendly](https://img.shields.io/badge/commitizen-friendly-brightgreen.svg)](http://commitizen.github.io/cz-cli/)

[![All Contributors](https://img.shields.io/badge/all_contributors-28-orange.svg?style=flat-square)](#contributors)
[![PRs Welcome][prs-badge]][prs] [![Code of Conduct][coc-badge]][coc]
[![Watch on GitHub][github-watch-badge]][github-watch]
[![Star on GitHub][github-star-badge]][github-star]
[![Tweet][twitter-badge]][twitter]

## The problem

You want to implement the [All Contributors][all-contributors] spec, but don't
want to maintain the table by hand

## This solution

This is a tool to help automate adding contributor acknowledgements according to
the [all-contributors](https://github.com/all-contributors/all-contributors)
specification for your GitHub or GitLab repository.

## Using the all-contributors-cli

If you're looking to use the cli, head over to [the cli docs on allcontributors.org](https://allcontributors.org/docs/en/cli/overview). The all-contributors website contains all the information required to install, configure and use the all-contributors-cli.

## Contributors

Thanks goes to these wonderful people
([emoji key](https://allcontributors.org/docs/en/emoji-key)):

<!-- ALL-CONTRIBUTORS-LIST:START - Do not remove or modify this section -->
<!-- prettier-ignore -->
<table><tr><td align="center"><a href="https://github.com/jfmengels"><img src="https://avatars.githubusercontent.com/u/3869412?v=3" width="100px;" alt="Jeroen Engels"/><br /><sub><b>Jeroen Engels</b></sub></a><br /><a href="https://github.com/all-contributors/all-contributors-cli/commits?author=jfmengels" title="Code">💻</a> <a href="https://github.com/all-contributors/all-contributors-cli/commits?author=jfmengels" title="Documentation">📖</a> <a href="https://github.com/all-contributors/all-contributors-cli/commits?author=jfmengels" title="Tests">⚠️</a></td><td align="center"><a href="http://kentcdodds.com/"><img src="https://avatars.githubusercontent.com/u/1500684?v=3" width="100px;" alt="Kent C. Dodds"/><br /><sub><b>Kent C. Dodds</b></sub></a><br /><a href="https://github.com/all-contributors/all-contributors-cli/commits?author=kentcdodds" title="Documentation">📖</a> <a href="https://github.com/all-contributors/all-contributors-cli/commits?author=kentcdodds" title="Code">💻</a></td><td align="center"><a href="https://github.com/jccguimaraes"><img src="https://avatars.githubusercontent.com/u/14871650?v=3" width="100px;" alt="João Guimarães"/><br /><sub><b>João Guimarães</b></sub></a><br /><a href="https://github.com/all-contributors/all-contributors-cli/commits?author=jccguimaraes" title="Code">💻</a></td><td align="center"><a href="http://beneb.info"><img src="https://avatars.githubusercontent.com/u/1282980?v=3" width="100px;" alt="Ben Briggs"/><br /><sub><b>Ben Briggs</b></sub></a><br /><a href="https://github.com/all-contributors/all-contributors-cli/commits?author=ben-eb" title="Code">💻</a></td><td align="center"><a href="https://github.com/itaisteinherz"><img src="https://avatars.githubusercontent.com/u/22768990?v=3" width="100px;" alt="Itai Steinherz"/><br /><sub><b>Itai Steinherz</b></sub></a><br /><a href="https://github.com/all-contributors/all-contributors-cli/commits?author=itaisteinherz" title="Documentation">📖</a> <a href="https://github.com/all-contributors/all-contributors-cli/commits?author=itaisteinherz" title="Code">💻</a></td><td align="center"><a href="https://github.com/alexjoverm"><img src="https://avatars.githubusercontent.com/u/5701162?v=3" width="100px;" alt="Alex Jover"/><br /><sub><b>Alex Jover</b></sub></a><br /><a href="https://github.com/all-contributors/all-contributors-cli/commits?author=alexjoverm" title="Code">💻</a> <a href="https://github.com/all-contributors/all-contributors-cli/commits?author=alexjoverm" title="Documentation">📖</a></td></tr><tr><td align="center"><a href="https://jerodsanto.net"><img src="https://avatars3.githubusercontent.com/u/8212?v=3" width="100px;" alt="Jerod Santo"/><br /><sub><b>Jerod Santo</b></sub></a><br /><a href="https://github.com/all-contributors/all-contributors-cli/commits?author=jerodsanto" title="Code">💻</a></td><td align="center"><a href="https://github.com/kevinjalbert"><img src="https://avatars1.githubusercontent.com/u/574871?v=3" width="100px;" alt="Kevin Jalbert"/><br /><sub><b>Kevin Jalbert</b></sub></a><br /><a href="https://github.com/all-contributors/all-contributors-cli/commits?author=kevinjalbert" title="Code">💻</a></td><td align="center"><a href="https://i.am.charlike.online"><img src="https://avatars3.githubusercontent.com/u/5038030?v=4" width="100px;" alt="tunnckoCore"/><br /><sub><b>tunnckoCore</b></sub></a><br /><a href="#tool-charlike" title="Tools">🔧</a></td><td align="center"><a href="https://machour.idk.tn/"><img src="https://avatars2.githubusercontent.com/u/304450?v=4" width="100px;" alt="Mehdi Achour"/><br /><sub><b>Mehdi Achour</b></sub></a><br /><a href="https://github.com/all-contributors/all-contributors-cli/commits?author=machour" title="Code">💻</a></td><td align="center"><a href="https://codsen.com"><img src="https://avatars1.githubusercontent.com/u/8344688?v=4" width="100px;" alt="Roy Revelt"/><br /><sub><b>Roy Revelt</b></sub></a><br /><a href="https://github.com/all-contributors/all-contributors-cli/issues?q=author%3Arevelt" title="Bug reports">🐛</a></td><td align="center"><a href="https://github.com/chrisinajar"><img src="https://avatars1.githubusercontent.com/u/422331?v=4" width="100px;" alt="Chris Vickery"/><br /><sub><b>Chris Vickery</b></sub></a><br /><a href="https://github.com/all-contributors/all-contributors-cli/commits?author=chrisinajar" title="Code">💻</a></td></tr><tr><td align="center"><a href="https://github.com/brycereynolds"><img src="https://avatars2.githubusercontent.com/u/1026002?v=4" width="100px;" alt="Bryce Reynolds"/><br /><sub><b>Bryce Reynolds</b></sub></a><br /><a href="https://github.com/all-contributors/all-contributors-cli/commits?author=brycereynolds" title="Code">💻</a></td><td align="center"><a href="http://www.jmeas.com"><img src="https://avatars3.githubusercontent.com/u/2322305?v=4" width="100px;" alt="James, please"/><br /><sub><b>James, please</b></sub></a><br /><a href="#ideas-jmeas" title="Ideas, Planning, & Feedback">🤔</a> <a href="https://github.com/all-contributors/all-contributors-cli/commits?author=jmeas" title="Code">💻</a></td><td align="center"><a href="http://www.spyros.io"><img src="https://avatars3.githubusercontent.com/u/1057324?v=4" width="100px;" alt="Spyros Ioakeimidis"/><br /><sub><b>Spyros Ioakeimidis</b></sub></a><br /><a href="https://github.com/all-contributors/all-contributors-cli/commits?author=spirosikmd" title="Code">💻</a></td><td align="center"><a href="https://github.com/fadc80"><img src="https://avatars3.githubusercontent.com/u/12335761?v=4" width="100px;" alt="Fernando Costa"/><br /><sub><b>Fernando Costa</b></sub></a><br /><a href="https://github.com/all-contributors/all-contributors-cli/commits?author=fadc80" title="Code">💻</a></td><td align="center"><a href="https://snipe.net"><img src="https://avatars0.githubusercontent.com/u/197404?v=4" width="100px;" alt="snipe"/><br /><sub><b>snipe</b></sub></a><br /><a href="https://github.com/all-contributors/all-contributors-cli/commits?author=snipe" title="Documentation">📖</a></td><td align="center"><a href="http://gantlaborde.com/"><img src="https://avatars0.githubusercontent.com/u/997157?v=4" width="100px;" alt="Gant Laborde"/><br /><sub><b>Gant Laborde</b></sub></a><br /><a href="https://github.com/all-contributors/all-contributors-cli/commits?author=GantMan" title="Code">💻</a></td></tr><tr><td align="center"><a href="https://in.linkedin.com/in/mzubairahmed"><img src="https://avatars2.githubusercontent.com/u/17708702?v=4" width="100px;" alt="Md Zubair Ahmed"/><br /><sub><b>Md Zubair Ahmed</b></sub></a><br /><a href="https://github.com/all-contributors/all-contributors-cli/commits?author=M-ZubairAhmed" title="Documentation">📖</a> <a href="https://github.com/all-contributors/all-contributors-cli/issues?q=author%3AM-ZubairAhmed" title="Bug reports">🐛</a> <a href="https://github.com/all-contributors/all-contributors-cli/commits?author=M-ZubairAhmed" title="Code">💻</a> <a href="https://github.com/all-contributors/all-contributors-cli/commits?author=M-ZubairAhmed" title="Tests">⚠️</a></td><td align="center"><a href="http://bogas04.github.io"><img src="https://avatars3.githubusercontent.com/u/6177621?v=4" width="100px;" alt="Divjot Singh"/><br /><sub><b>Divjot Singh</b></sub></a><br /><a href="https://github.com/all-contributors/all-contributors-cli/commits?author=bogas04" title="Documentation">📖</a></td><td align="center"><a href="https://github.com/tigermarques"><img src="https://avatars0.githubusercontent.com/u/15315098?v=4" width="100px;" alt="João Marques"/><br /><sub><b>João Marques</b></sub></a><br /><a href="https://github.com/all-contributors/all-contributors-cli/commits?author=tigermarques" title="Code">💻</a> <a href="https://github.com/all-contributors/all-contributors-cli/commits?author=tigermarques" title="Documentation">📖</a> <a href="#ideas-tigermarques" title="Ideas, Planning, & Feedback">🤔</a></td><td align="center"><a href="http://hipstersmoothie.com"><img src="https://avatars3.githubusercontent.com/u/1192452?v=4" width="100px;" alt="Andrew Lisowski"/><br /><sub><b>Andrew Lisowski</b></sub></a><br /><a href="https://github.com/all-contributors/all-contributors-cli/commits?author=hipstersmoothie" title="Code">💻</a> <a href="https://github.com/all-contributors/all-contributors-cli/commits?author=hipstersmoothie" title="Documentation">📖</a> <a href="https://github.com/all-contributors/all-contributors-cli/commits?author=hipstersmoothie" title="Tests">⚠️</a></td><td align="center"><a href="https://github.com/chinesedfan"><img src="https://avatars3.githubusercontent.com/u/1736154?v=4" width="100px;" alt="Xianming Zhong"/><br /><sub><b>Xianming Zhong</b></sub></a><br /><a href="https://github.com/all-contributors/all-contributors-cli/commits?author=chinesedfan" title="Documentation">📖</a></td><td align="center"><a href="https://github.com/xuchaoying"><img src="https://avatars2.githubusercontent.com/u/8073251?v=4" width="100px;" alt="C.Y.Xu"/><br /><sub><b>C.Y.Xu</b></sub></a><br /><a href="https://github.com/all-contributors/all-contributors-cli/commits?author=xuchaoying" title="Code">💻</a></td></tr><tr><td align="center"><a href="https://github.com/chris-dura"><img src="https://avatars3.githubusercontent.com/u/3680914?v=4" width="100px;" alt="Dura"/><br /><sub><b>Dura</b></sub></a><br /><a href="https://github.com/all-contributors/all-contributors-cli/commits?author=chris-dura" title="Documentation">📖</a></td><td align="center"><a href="https://jakebolam.com"><img src="https://avatars2.githubusercontent.com/u/3534236?v=4" width="100px;" alt="Jake Bolam"/><br /><sub><b>Jake Bolam</b></sub></a><br /><a href="#infra-jakebolam" title="Infrastructure (Hosting, Build-Tools, etc)">🚇</a> <a href="https://github.com/all-contributors/all-contributors-cli/commits?author=jakebolam" title="Code">💻</a> <a href="https://github.com/all-contributors/all-contributors-cli/commits?author=jakebolam" title="Documentation">📖</a> <a href="https://github.com/all-contributors/all-contributors-cli/commits?author=jakebolam" title="Tests">⚠️</a></td><td align="center"><a href="http://maxcubing.wordpress.com"><img src="https://avatars0.githubusercontent.com/u/8260834?v=4" width="100px;" alt="Maximilian Berkmann"/><br /><sub><b>Maximilian Berkmann</b></sub></a><br /><a href="https://github.com/all-contributors/all-contributors-cli/commits?author=Berkmann18" title="Code">💻</a> <a href="https://github.com/all-contributors/all-contributors-cli/commits?author=Berkmann18" title="Tests">⚠️</a> <a href="https://github.com/all-contributors/all-contributors-cli/commits?author=Berkmann18" title="Documentation">📖</a></td><td align="center"><a href="https://github.com/tbenning"><img src="https://avatars2.githubusercontent.com/u/7265547?v=4" width="100px;" alt="tbenning"/><br /><sub><b>tbenning</b></sub></a><br /><a href="#design-tbenning" title="Design">🎨</a></td></tr></table>

<!-- ALL-CONTRIBUTORS-LIST:END -->

This project follows the
[all-contributors](https://github.com/all-contributors/all-contributors)
specification. Contributions of any kind are welcome!

## LICENSE

MIT

[npm]: https://www.npmjs.com/
[node]: https://nodejs.org
[chat-badge]: https://img.shields.io/badge/slack-join-ff69b4.svg?style=flat-square
[chat]: https://join.slack.com/t/all-contributors/shared_invite/enQtNTE3ODMyMTA4NTk0LTUwZDMxZGZkMmViMzYzYzk2YTM2NjRkZGM5Yzc0ZTc5NmYzNWY3Y2Q0ZTY3ZmFhZDgyY2E3ZmIzNWQwMTUxZmE
[build-badge]: https://img.shields.io/circleci/project/all-contributors/all-contributors-cli/master.svg?style=flat-square
[build]: https://circleci.com/gh/all-contributors/all-contributors-cli
[coverage-badge]: https://img.shields.io/codecov/c/github/all-contributors/all-contributors-cli.svg?style=flat-square
[coverage]: https://codecov.io/github/all-contributors/all-contributors-cli
[version-badge]: https://img.shields.io/npm/v/all-contributors-cli.svg?style=flat-square
[package]: https://www.npmjs.com/package/all-contributors-cli
[downloads-badge]: https://img.shields.io/npm/dm/all-contributors-cli.svg?style=flat-square
[downloads]: http://www.npmtrends.com/all-contributors-cli
[license-badge]: https://img.shields.io/npm/l/all-contributors-cli.svg?style=flat-square
[license]: https://github.com/all-contributors/all-contributors-cli/blob/master/other/LICENSE
[prs-badge]: https://img.shields.io/badge/PRs-welcome-brightgreen.svg?style=flat-square
[prs]: http://makeapullrequest.com
[coc-badge]: https://img.shields.io/badge/code%20of-conduct-ff69b4.svg?style=flat-square
[coc]: https://github.com/all-contributors/all-contributors-cli/blob/master/other/CODE_OF_CONDUCT.md
[github-watch-badge]: https://img.shields.io/github/watchers/all-contributors/all-contributors-cli.svg?style=social
[github-watch]: https://github.com/all-contributors/all-contributors-cli/watchers
[github-star-badge]: https://img.shields.io/github/stars/all-contributors/all-contributors-cli.svg?style=social
[github-star]: https://github.com/all-contributors/all-contributors-cli/stargazers
[twitter]: https://twitter.com/intent/tweet?text=Check%20out%20all-contributors-cli!%20https://github.com/all-contributors/all-contributors-cli%20%F0%9F%91%8D
[twitter-badge]: https://img.shields.io/twitter/url/https/github.com/all-contributors/all-contributors-cli.svg?style=social
[emojis]: https://github.com/all-contributors/all-contributors#emoji-key
[all-contributors]: https://github.com/all-contributors/all-contributors
