"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _fp = _interopRequireDefault(require("lodash/fp"));

var _formatBadge = _interopRequireDefault(require("../format-badge"));

test('return badge with the number of contributors', function () {
  var options = {};
  expect((0, _formatBadge.default)(options, _fp.default.times(_fp.default.constant({}), 8))).toBe('[![All Contributors](https://img.shields.io/badge/all_contributors-8-orange.svg?style=flat-square)](#contributors)');
  expect((0, _formatBadge.default)(options, _fp.default.times(_fp.default.constant({}), 16))).toBe('[![All Contributors](https://img.shields.io/badge/all_contributors-16-orange.svg?style=flat-square)](#contributors)');
});
test('be able to specify custom badge template', function () {
  var options = {
    badgeTemplate: 'We have <%= contributors.length %> contributors'
  };
  expect((0, _formatBadge.default)(options, _fp.default.times(_fp.default.constant({}), 8))).toBe('We have 8 contributors');
  expect((0, _formatBadge.default)(options, _fp.default.times(_fp.default.constant({}), 16))).toBe('We have 16 contributors');
});