"use strict";

var _initContent = require("../init-content");

test('insert badge under title', function () {
  var content = ['# project', '', 'Description', '', 'Foo bar'].join('\n');
  var expected = ['# project', '[![All Contributors](https://img.shields.io/badge/all_contributors-0-orange.svg?style=flat-square)](#contributors)', '', 'Description', '', 'Foo bar'].join('\n');
  var result = (0, _initContent.addBadge)(content);
  expect(result).toBe(expected);
});
test('add badge if content is empty', function () {
  var expected = ['', '[![All Contributors](https://img.shields.io/badge/all_contributors-0-orange.svg?style=flat-square)](#contributors)'].join('\n');
  var result = (0, _initContent.addBadge)('');
  expect(result).toBe(expected);
});